View Issue Details

IDProjectCategoryView StatusLast Update
15319Bug reports[All Projects] Survey designpublic2019-10-16 11:39
Reporterdominikvitt Assigned Toeddylackmann  
PrioritynoneSeverityminor 
Status resolvedResolutionreopened 
Product Version4.0.0-RC3 
Target Version4.0.0-RC4Fixed in Version 
Summary15319: "Execute survey" link doesn't open in new window
Description

"Execute survey" link should open in a new window, at least that was behaviour in LS3

Steps To Reproduce
  • open activated survey
  • click on "Execute survey" link
TagsNo tags attached.
Complete LimeSurvey version number (& build)4.0.0-RC3
I will donate to the project if issue is resolvedNo
BrowserChromium, Firefox
Database & DB-VersionMySQL 5.7.24-0ubuntu0.18.04.1
Server OS (if known)
Webserver software & version (if known)
PHP VersionPHP 7.3.9-1+ubuntu18.04.1+deb.sury.org+1

Activities

cdorin

cdorin

2019-10-07 09:55

manager   ~53909

Already solved in the latest dev

dominikvitt

dominikvitt

2019-10-07 10:46

developer   ~53911

Sorry, I should explain it better.
This issue happens only with multi language surveys (single language surveys are okay).

cdorin

cdorin

2019-10-07 10:47

manager   ~53912

Ok, reproduced it.

eddylackmann

eddylackmann

2019-10-16 11:34

developer   ~54059

fixed in https://github.com/LimeSurvey/LimeSurvey/commit/da0942a93e94b0344832d1fefd46152117ea40ee

eddylackmann

eddylackmann

2019-10-16 11:39

developer   ~54060

Tested by @dominikvitt

Issue History

Date Modified Username Field Change
2019-09-23 18:11 dominikvitt New Issue
2019-10-07 09:55 cdorin Assigned To => cdorin
2019-10-07 09:55 cdorin Status new => closed
2019-10-07 09:55 cdorin Resolution open => fixed
2019-10-07 09:55 cdorin Note Added: 53909
2019-10-07 10:46 dominikvitt Status closed => feedback
2019-10-07 10:46 dominikvitt Resolution fixed => reopened
2019-10-07 10:46 dominikvitt Note Added: 53911
2019-10-07 10:47 cdorin Note Added: 53912
2019-10-07 16:02 eddylackmann Assigned To cdorin => eddylackmann
2019-10-16 11:34 eddylackmann Note Added: 54059
2019-10-16 11:34 eddylackmann Status feedback => testing
2019-10-16 11:39 eddylackmann Status testing => resolved
2019-10-16 11:39 eddylackmann Note Added: 54060